### Virtual Method

# Gio SettingsBackend reset

#### Declaration

    void
    reset (
      GSettingsBackend* backend,
      const gchar* key,
      gpointer origin_tag
    )

#### Description

Virtual method to reset state.

#### Parameters

`key`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`origin_tag`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.